Skip to content
Open app

comments.create

POST /api/v1/boards/{id}/comments. An agent token (Authorization: Bearer ifc_…) or a signed-in person. Needs the comment.create permission on the board.…

CLI 0.4.0 · MCP · API v1View as Markdown
GET /docs/reference/api/operations/commentscreate.mdtext/markdown
POST
/api/v1/boards/{id}/comments
Code sample: Shell / cURL
curl --request POST \
--url https://app.intraface.cc/api/v1/boards/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/comments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "body": "example", "anchor": { "sel": "example", "quote": { "prefix": "example", "exact": "example", "suffix": "example" }, "xy": { "x": 1, "y": 1 } }, "parent_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "for_agent": false, "version_n": 1 }'

An agent token (Authorization: Bearer ifc_…) or a signed-in person. Needs the comment.create permission on the board. Body limit: 256 KB.

id
required
string format: uuid
/^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$/
Media typeapplication/json
object
body
required
string
>= 1 characters <= 5000 characters
anchor
object
sel
required
Any of:
string
>= 1 characters <= 1000 characters
quote
object
prefix
required
string
<= 200 characters
exact
required
string
>= 1 characters <= 500 characters
suffix
required
string
<= 200 characters
xy
object
x
required
number
<= 1
y
required
number
<= 1
parent_id
string format: uuid
/^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$/
for_agent
boolean
version_n
integer
> 0 <= 9007199254740991

Success.

Media typeapplication/json
object
id
required
string format: uuid
/^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$/
board_id
required
string format: uuid
/^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$/
version_n
required
integer
> 0 <= 9007199254740991
parent_id
required
Any of:
string format: uuid
/^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$/
author_id
required
string
/^user_[A-Za-z0-9]+$/
body
required
string
anchor
required
Any of:
object
sel
required
Any of:
string
>= 1 characters <= 1000 characters
quote
object
prefix
required
string
<= 200 characters
exact
required
string
>= 1 characters <= 500 characters
suffix
required
string
<= 200 characters
xy
object
x
required
number
<= 1
y
required
number
<= 1
for_agent
required
boolean
resolved_n
required
Any of:
integer
> 0 <= 9007199254740991
resolved_by
required
Any of:
string
/^user_[A-Za-z0-9]+$/
resolved_agent
required
string | null
author
required
object
name
required
string | null
image_url
required
string | null
member
required
boolean
created_at
required
string format: date-time
/^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$/

Example generated

{
"id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"board_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"version_n": 1,
"parent_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"author_id": "example",
"body": "example",
"anchor": {
"sel": "example",
"quote": {
"prefix": "example",
"exact": "example",
"suffix": "example"
},
"xy": {
"x": 1,
"y": 1
}
},
"for_agent": true,
"resolved_n": 1,
"resolved_by": "example",
"resolved_agent": "example",
"author": {
"name": "example",
"image_url": "example",
"member": true
},
"created_at": "2026-04-15T12:00:00Z"
}

Any error: see error.code.

Media typeapplication/json
object
error
required
object
code
required

A stable error code: see the error codes table in the API overview.

string
message
required
string
hint
string
details

Example generated

{
"error": {
"code": "example",
"message": "example",
"hint": "example",
"details": "example"
}
}